﻿Public Class frmBook
    Dim bookDT As New DataTable
    Dim rowIndx As Integer
    Private Sub btnReadNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnReadNext.Click
        If rowIndx < bookDT.Rows.Count - 1 Then
            rowIndx = rowIndx + 1
            FillTextBoxes()
        Else
            rowIndx = 0
            FillTextBoxes()
        End If
    End Sub


    Private Sub frmBook_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim currpath As String = System.Environment.CurrentDirectory
        Dim connStr As String = "Provider=Microsoft.ACE.OLEDB.12.0;" & _
                    "Data Source = " & currpath & "\books09.accdb"
        Dim sqlStr As String = "Select * from book"
        Dim dataAdapter As New OleDb.OleDbDataAdapter(sqlStr, connStr)
        dataAdapter.Fill(bookDT)
        dataAdapter.Dispose()
        FillTextBoxes()
    End Sub
    Sub FillTextBoxes()
        txtISBN.Text = CStr(bookDT.Rows(rowIndx)("isbn"))
        txtTitle.Text = CStr(bookDT.Rows(rowIndx)("title"))
    End Sub

    Private Sub btnFind_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFind.Click
        Dim searchIndx As Integer
        Dim toFindTitle As String
        Dim foundTitle As Boolean = False
        toFindTitle = InputBox("Enter title you are searching for", "Search")
        Do While searchIndx < bookDT.Rows.Count And foundTitle = False
            If CStr(bookDT.Rows(searchIndx)("title")) = toFindTitle Then
                foundTitle = True
                rowIndx = searchIndx
            Else
                searchIndx = searchIndx + 1
            End If
        Loop
        If foundTitle = True Then
            FillTextBoxes()
        Else
            txtISBN.Text = ""
            txtTitle.Text = "Title Not Found"
        End If
    End Sub
End Class
